diff --git a/src/types/algoliaTypes.ts b/src/types/algoliaTypes.ts
index 07fd33596..de42fb78a 100644
--- a/src/types/algoliaTypes.ts
+++ b/src/types/algoliaTypes.ts
@@ -1,7 +1,4 @@
-import type {
-  BaseSearchParamsWithoutQuery,
-  Hit
-} from 'algoliasearch/dist/lite/browser'
+import type { BaseSearchParamsWithoutQuery } from 'algoliasearch/dist/lite/browser'
 
 import type { components } from '@/types/comfyRegistryTypes'
 
@@ -13,15 +10,6 @@ type SafeNestedProperty<
 
 type RegistryNodePack = components['schemas']['Node']
 
-/**
- * Result of searching the Algolia index.
- * Represents the entire result of a search query.
- */
-export type SearchPacksResult = {
-  nodePacks: Hit<AlgoliaNodePack>[]
-  querySuggestions: Hit<NodesIndexSuggestion>[]
-}
-
 /**
  * Node pack record after it has been mapped to Algolia index format.
  * @see https://github.com/Comfy-Org/comfy-api/blob/main/mapper/algolia.go
diff --git a/src/types/comfyManagerTypes.ts b/src/types/comfyManagerTypes.ts
index e59a81480..c53619719 100644
--- a/src/types/comfyManagerTypes.ts
+++ b/src/types/comfyManagerTypes.ts
@@ -2,7 +2,6 @@ import type { InjectionKey, Ref } from 'vue'
 
 import type { AlgoliaNodePack } from '@/types/algoliaTypes'
 import type { components } from '@/types/comfyRegistryTypes'
-import type { components as managerComponents } from '@/types/generatedManagerTypes'
 
 export type RegistryPack = components['schemas']['Node']
 export type MergedNodePack = RegistryPack & AlgoliaNodePack
@@ -10,16 +9,9 @@ export const isMergedNodePack = (
   nodePack: RegistryPack | AlgoliaNodePack
 ): nodePack is MergedNodePack => 'comfy_nodes' in nodePack
 
-export type PackField = keyof RegistryPack | null
-
 export const IsInstallingKey: InjectionKey<Ref<boolean>> =
   Symbol('isInstalling')
 
-export enum ManagerWsQueueStatus {
-  DONE = 'all-done',
-  IN_PROGRESS = 'in_progress'
-}
-
 export enum ManagerTab {
   All = 'all',
   Installed = 'installed',
@@ -34,31 +26,12 @@ export interface TabItem {
   icon: string
 }
 
-export enum ManagerSortField {
-  Author = 'author',
-  CreateDate = 'creation_date',
-  LastUpdateDate = 'last_update',
-  Name = 'name',
-  Stars = 'stars',
-  Size = 'size'
-}
-
-export enum PackEnableState {
-  Enabled,
-  Disabled,
-  NotInstalled
-}
-
 export type TaskLog = {
   taskName: string
   taskId: string
   logs: string[]
 }
 
-export interface ManagerQueueOptions {
-  maxConcurrent?: number
-}
-
 export interface UseNodePacksOptions {
   immediate?: boolean
   maxConcurrent?: number
@@ -83,13 +56,3 @@ export interface ManagerState {
   searchMode: 'nodes' | 'packs'
   sortField: string
 }
-
-/**
- * Types for import failure information API
- */
-export type ImportFailInfoBulkRequest =
-  managerComponents['schemas']['ImportFailInfoBulkRequest']
-export type ImportFailInfoBulkResponse =
-  managerComponents['schemas']['ImportFailInfoBulkResponse']
-export type ImportFailInfoItem =
-  managerComponents['schemas']['ImportFailInfoItem']
diff --git a/src/types/conflictDetectionTypes.ts b/src/types/conflictDetectionTypes.ts
index c513782ab..a176e0ea0 100644
--- a/src/types/conflictDetectionTypes.ts
+++ b/src/types/conflictDetectionTypes.ts
@@ -9,9 +9,6 @@ import type { components } from './comfyRegistryTypes'
 
 // Re-export core types from Registry API
 export type Node = components['schemas']['Node']
-export type NodeVersion = components['schemas']['NodeVersion']
-export type NodeStatus = components['schemas']['NodeStatus']
-export type NodeVersionStatus = components['schemas']['NodeVersionStatus']
 
 /**
  * Conflict types that can be detected in the system
@@ -27,22 +24,6 @@ export type ConflictType =
   | 'banned' // Banned package
   | 'pending' // Security verification pending
 
-/**
- * Version comparison operators
- * @enum {string}
- */
-export type VersionOperator = '>=' | '>' | '<=' | '<' | '==' | '!='
-
-/**
- * Version requirement specification
- */
-export interface VersionRequirement {
-  /** @description Comparison operator for version checking */
-  operator: VersionOperator
-  /** @description Target version string */
-  version: string
-}
-
 /**
  * Node Pack requirements from Registry API
  * Extends Node type with additional installation and compatibility metadata
diff --git a/src/types/searchBoxTypes.ts b/src/types/searchBoxTypes.ts
index d80140590..b25d268be 100644
--- a/src/types/searchBoxTypes.ts
+++ b/src/types/searchBoxTypes.ts
@@ -1,9 +1,3 @@
-export enum LinkReleaseTriggerMode {
-  ALWAYS = 'always',
-  HOLD_SHIFT = 'hold shift',
-  NOT_HOLD_SHIFT = 'NOT hold shift'
-}
-
 export enum LinkReleaseTriggerAction {
   CONTEXT_MENU = 'context menu',
   SEARCH_BOX = 'search box',
diff --git a/src/types/serverArgs.ts b/src/types/serverArgs.ts
index 011f030d3..83f0216c0 100644
--- a/src/types/serverArgs.ts
+++ b/src/types/serverArgs.ts
@@ -20,15 +20,6 @@ export enum HashFunction {
   SHA512 = 'sha512'
 }
 
-export enum AutoLaunch {
-  // Let server decide whether to auto launch based on the current environment
-  Auto = 'auto',
-  // Disable auto launch
-  Disable = 'disable',
-  // Enable auto launch
-  Enable = 'enable'
-}
-
 export enum CudaMalloc {
   // Let server decide whether to use CUDA malloc based on the current environment
   Auto = 'auto',
diff --git a/src/types/settingTypes.ts b/src/types/settingTypes.ts
index af706fb14..47b3a8a36 100644
--- a/src/types/settingTypes.ts
+++ b/src/types/settingTypes.ts
@@ -25,13 +25,6 @@ export interface SettingOption {
   value?: any
 }
 
-export interface Setting {
-  id: keyof Settings
-  onChange?: (value: any, oldValue?: any) => void
-  name: string
-  render: () => HTMLElement
-}
-
 export interface SettingParams<TValue = unknown> extends FormItem {
   id: keyof Settings
   defaultValue: any | (() => any)
diff --git a/src/utils/formatUtil.ts b/src/utils/formatUtil.ts
index da933d3ec..7f9ba3582 100644
--- a/src/utils/formatUtil.ts
+++ b/src/utils/formatUtil.ts
@@ -33,10 +33,6 @@ export function appendJsonExt(path: string) {
   return path
 }
 
-export function trimJsonExt(path?: string) {
-  return path?.replace(/\.json$/, '')
-}
-
 export function highlightQuery(text: string, query: string) {
   if (!query) return text
 
@@ -80,28 +76,6 @@ export function formatSize(value?: number) {
   return `${parseFloat((bytes / Math.pow(k, i)).toFixed(2))} ${sizes[i]}`
 }
 
-/**
- * Finds the common directory prefix between two paths
- * @example
- * findCommonPrefix('a/b/c', 'a/b/d') // returns 'a/b'
- * findCommonPrefix('x/y/z', 'a/b/c') // returns ''
- * findCommonPrefix('a/b/c', 'a/b/c/d') // returns 'a/b/c'
- */
-export function findCommonPrefix(path1: string, path2: string): string {
-  const parts1 = path1.split('/')
-  const parts2 = path2.split('/')
-
-  const commonParts: string[] = []
-  for (let i = 0; i < Math.min(parts1.length, parts2.length); i++) {
-    if (parts1[i] === parts2[i]) {
-      commonParts.push(parts1[i])
-    } else {
-      break
-    }
-  }
-  return commonParts.join('/')
-}
-
 /**
  * Returns various filename components.
  * Example:
@@ -423,26 +397,6 @@ export function compareVersions(
   return 0
 }
 
-/**
- * Converts a currency amount to Metronome's integer representation.
- * For USD, converts to cents (multiplied by 100).
- * For all other currencies (including custom pricing units), returns the amount as is.
- * This is specific to Metronome's API requirements.
- *
- * @param amount - The amount in currency to convert
- * @param currency - The currency to convert
- * @returns The amount in Metronome's integer format (cents for USD, base units for others)
- * @example
- * toMetronomeCurrency(1.23, 'usd') // returns 123 (cents)
- * toMetronomeCurrency(1000, 'jpy') // returns 1000 (yen)
- */
-export function toMetronomeCurrency(amount: number, currency: string): number {
-  if (currency === 'usd') {
-    return Math.round(amount * 100)
-  }
-  return amount
-}
-
 /**
  * Converts Metronome's integer amount back to a formatted currency string.
  * For USD, converts from cents to dollars.
diff --git a/src/utils/nodeDefUtil.ts b/src/utils/nodeDefUtil.ts
index 65c1475c4..efd677253 100644
--- a/src/utils/nodeDefUtil.ts
+++ b/src/utils/nodeDefUtil.ts
@@ -15,7 +15,6 @@ import {
   isFloatInputSpec,
   isIntInputSpec
 } from '@/schemas/nodeDefSchema'
-import type { ComfyNodeDefImpl } from '@/stores/nodeDefStore'
 
 import { lcm } from './mathUtil'
 
@@ -139,11 +138,3 @@ export const mergeInputSpec = (
 
   return mergeCommonInputSpec(spec1, spec2)
 }
-
-/**
- * Checks if a node definition represents a subgraph node.
- * Subgraph nodes are created with category='subgraph' and python_module='nodes'.
- */
-export const isSubgraphNode = (nodeDef: ComfyNodeDefImpl): boolean => {
-  return nodeDef.category === 'subgraph' && nodeDef.python_module === 'nodes'
-}
diff --git a/src/utils/versionUtil.ts b/src/utils/versionUtil.ts
index 2688b234f..61337b2aa 100644
--- a/src/utils/versionUtil.ts
+++ b/src/utils/versionUtil.ts
@@ -29,34 +29,6 @@ export function satisfiesVersion(version: string, range: string): boolean {
   }
 }
 
-/**
- * Compares two versions and returns the difference type
- * @param version1 First version
- * @param version2 Second version
- * @returns Difference type or null if comparison fails
- */
-export function getVersionDifference(
-  version1: string,
-  version2: string
-): semver.ReleaseType | null {
-  try {
-    const clean1 = cleanVersion(version1)
-    const clean2 = cleanVersion(version2)
-    return semver.diff(clean1, clean2)
-  } catch {
-    return null
-  }
-}
-
-/**
- * Checks if a version is valid according to semver
- * @param version Version string to validate
- * @returns true if version is valid
- */
-export function isValidVersion(version: string): boolean {
-  return semver.valid(version) !== null
-}
-
 /**
  * Checks version compatibility and returns conflict details.
  * Supports all semver ranges including >=, <=, >, <, ~, ^ operators.
diff --git a/tests-ui/tests/litegraph/subgraph/fixtures/subgraphFixtures.ts b/tests-ui/tests/litegraph/subgraph/fixtures/subgraphFixtures.ts
index e4a255b2f..88a3db3fb 100644
--- a/tests-ui/tests/litegraph/subgraph/fixtures/subgraphFixtures.ts
+++ b/tests-ui/tests/litegraph/subgraph/fixtures/subgraphFixtures.ts
@@ -169,140 +169,3 @@ export const subgraphTest = test.extend<SubgraphFixtures>({
     capture.cleanup()
   }
 })
-
-/**
- * Fixtures that test edge cases and error conditions.
- * These may leave the system in an invalid state and should be used carefully.
- */
-export interface EdgeCaseFixtures {
-  /** Subgraph with circular references (for testing recursion detection) */
-  circularSubgraph: {
-    rootGraph: LGraph
-    subgraphA: Subgraph
-    subgraphB: Subgraph
-    nodeA: SubgraphNode
-    nodeB: SubgraphNode
-  }
-
-  /** Deeply nested subgraphs approaching the theoretical limit */
-  deeplyNestedSubgraph: ReturnType<typeof createNestedSubgraphs>
-
-  /** Subgraph with maximum inputs and outputs */
-  maxIOSubgraph: Subgraph
-}
-
-/**
- * Test with edge case fixtures. Use sparingly and with caution.
- * These tests may intentionally create invalid states.
- */
-export const edgeCaseTest = subgraphTest.extend<EdgeCaseFixtures>({
-  // @ts-expect-error TODO: Fix after merge - fixture use parameter type
-  // eslint-disable-next-line no-empty-pattern
-  circularSubgraph: async ({}, use: (value: unknown) => Promise<void>) => {
-    const rootGraph = new LGraph()
-
-    // Create two subgraphs that will reference each other
-    const subgraphA = createTestSubgraph({
-      name: 'Subgraph A',
-      inputs: [{ name: 'input', type: '*' }],
-      outputs: [{ name: 'output', type: '*' }]
-    })
-
-    const subgraphB = createTestSubgraph({
-      name: 'Subgraph B',
-      inputs: [{ name: 'input', type: '*' }],
-      outputs: [{ name: 'output', type: '*' }]
-    })
-
-    // Create instances (this doesn't create circular refs by itself)
-    const nodeA = createTestSubgraphNode(subgraphA, { pos: [100, 100] })
-    const nodeB = createTestSubgraphNode(subgraphB, { pos: [300, 100] })
-
-    // Add nodes to root graph
-    rootGraph.add(nodeA)
-    rootGraph.add(nodeB)
-
-    await use({
-      rootGraph,
-      subgraphA,
-      subgraphB,
-      nodeA,
-      nodeB
-    })
-  },
-
-  // @ts-expect-error TODO: Fix after merge - fixture use parameter type
-  // eslint-disable-next-line no-empty-pattern
-  deeplyNestedSubgraph: async ({}, use: (value: unknown) => Promise<void>) => {
-    // Create a very deep nesting structure (but not exceeding MAX_NESTED_SUBGRAPHS)
-    const nested = createNestedSubgraphs({
-      depth: 50, // Deep but reasonable
-      nodesPerLevel: 1,
-      inputsPerSubgraph: 1,
-      outputsPerSubgraph: 1
-    })
-
-    await use(nested)
-  },
-
-  // @ts-expect-error TODO: Fix after merge - fixture use parameter type
-  // eslint-disable-next-line no-empty-pattern
-  maxIOSubgraph: async ({}, use: (value: unknown) => Promise<void>) => {
-    // Create a subgraph with many inputs and outputs
-    const inputs = Array.from({ length: 20 }, (_, i) => ({
-      name: `input_${i}`,
-      type: i % 2 === 0 ? 'number' : ('string' as const)
-    }))
-
-    const outputs = Array.from({ length: 20 }, (_, i) => ({
-      name: `output_${i}`,
-      type: i % 2 === 0 ? 'number' : ('string' as const)
-    }))
-
-    const subgraph = createTestSubgraph({
-      name: 'Max IO Subgraph',
-      inputs,
-      outputs,
-      nodeCount: 10
-    })
-
-    await use(subgraph)
-  }
-})
-
-/**
- * Helper to verify fixture integrity.
- * Use this in tests to ensure fixtures are properly set up.
- */
-export function verifyFixtureIntegrity<T extends Record<string, unknown>>(
-  fixture: T,
-  expectedProperties: (keyof T)[]
-): void {
-  for (const prop of expectedProperties) {
-    if (!(prop in fixture)) {
-      throw new Error(`Fixture missing required property: ${String(prop)}`)
-    }
-    if (fixture[prop] === undefined || fixture[prop] === null) {
-      throw new Error(`Fixture property ${String(prop)} is null or undefined`)
-    }
-  }
-}
-
-/**
- * Creates a snapshot-friendly representation of a subgraph for testing.
- * Useful for serialization tests and regression detection.
- */
-export function createSubgraphSnapshot(subgraph: Subgraph) {
-  return {
-    id: subgraph.id,
-    name: subgraph.name,
-    inputCount: subgraph.inputs.length,
-    outputCount: subgraph.outputs.length,
-    nodeCount: subgraph.nodes.length,
-    linkCount: subgraph.links.size,
-    inputs: subgraph.inputs.map((i) => ({ name: i.name, type: i.type })),
-    outputs: subgraph.outputs.map((o) => ({ name: o.name, type: o.type })),
-    hasInputNode: !!subgraph.inputNode,
-    hasOutputNode: !!subgraph.outputNode
-  }
-}
diff --git a/tests-ui/tests/litegraph/subgraph/fixtures/subgraphHelpers.ts b/tests-ui/tests/litegraph/subgraph/fixtures/subgraphHelpers.ts
index fcf25ce7c..4a3bd6c11 100644
--- a/tests-ui/tests/litegraph/subgraph/fixtures/subgraphHelpers.ts
+++ b/tests-ui/tests/litegraph/subgraph/fixtures/subgraphHelpers.ts
@@ -382,76 +382,6 @@ export function createTestSubgraphData(
   }
 }
 
-/**
- * Creates a complex subgraph with multiple nodes and connections.
- * Useful for testing realistic scenarios.
- * @param nodeCount Number of internal nodes to create
- * @returns Complex subgraph data structure
- */
-export function createComplexSubgraphData(
-  nodeCount: number = 5
-): ExportedSubgraph {
-  const nodes = []
-  const links: Record<
-    string,
-    {
-      id: number
-      origin_id: number
-      origin_slot: number
-      target_id: number
-      target_slot: number
-      type: string
-    }
-  > = {}
-
-  // Create internal nodes
-  for (let i = 0; i < nodeCount; i++) {
-    nodes.push({
-      id: i + 1, // Start from 1 to avoid conflicts with IO nodes
-      type: 'basic/test',
-      pos: [100 + i * 150, 200],
-      size: [120, 60],
-      inputs: [{ name: 'in', type: '*', link: null }],
-      outputs: [{ name: 'out', type: '*', links: [] }],
-      properties: { value: i },
-      flags: {},
-      mode: 0
-    })
-  }
-
-  // Create some internal links
-  for (let i = 0; i < nodeCount - 1; i++) {
-    const linkId = i + 1
-    links[linkId] = {
-      id: linkId,
-      origin_id: i + 1,
-      origin_slot: 0,
-      target_id: i + 2,
-      target_slot: 0,
-      type: '*'
-    }
-  }
-
-  return createTestSubgraphData({
-    // @ts-expect-error TODO: Fix after merge - nodes parameter type
-    nodes,
-    // @ts-expect-error TODO: Fix after merge - links parameter type
-    links,
-    inputs: [
-      // @ts-expect-error TODO: Fix after merge - input object type
-      { name: 'input1', type: 'number', pos: [0, 0] },
-      // @ts-expect-error TODO: Fix after merge - input object type
-      { name: 'input2', type: 'string', pos: [0, 1] }
-    ],
-    outputs: [
-      // @ts-expect-error TODO: Fix after merge - output object type
-      { name: 'output1', type: 'number', pos: [0, 0] },
-      // @ts-expect-error TODO: Fix after merge - output object type
-      { name: 'output2', type: 'string', pos: [0, 1] }
-    ]
-  })
-}
-
 /**
  * Creates an event capture system for testing event sequences.
  * @param eventTarget The event target to monitor
@@ -493,39 +423,5 @@ export function createEventCapture<T = unknown>(
   }
 }
 
-/**
- * Utility to log subgraph structure for debugging tests.
- * @param subgraph The subgraph to inspect
- * @param label Optional label for the log output
- */
-export function logSubgraphStructure(
-  subgraph: Subgraph,
-  label: string = 'Subgraph'
-): void {
-  console.log(`\n=== ${label} Structure ===`)
-  console.log(`Name: ${subgraph.name}`)
-  console.log(`ID: ${subgraph.id}`)
-  console.log(`Inputs: ${subgraph.inputs.length}`)
-  console.log(`Outputs: ${subgraph.outputs.length}`)
-  console.log(`Nodes: ${subgraph.nodes.length}`)
-  console.log(`Links: ${subgraph.links.size}`)
-
-  if (subgraph.inputs.length > 0) {
-    console.log(
-      'Input details:',
-      subgraph.inputs.map((i) => ({ name: i.name, type: i.type }))
-    )
-  }
-
-  if (subgraph.outputs.length > 0) {
-    console.log(
-      'Output details:',
-      subgraph.outputs.map((o) => ({ name: o.name, type: o.type }))
-    )
-  }
-
-  console.log('========================\n')
-}
-
 // Re-export expect from vitest for convenience
 export { expect } from 'vitest'

